/*

  GLOBAL VARIABLES FOR PROJECT

*/

//--- 1. FONTS ---//

//- INCLUDE FONTS FILES -//

//Geometria
@include font-face('Geometria', '../fonts/geometria-bold', 700, normal, woff woff2);
@include font-face('Geometria', '../fonts/geometria-medium', 500, normal, woff woff2);
@include font-face('Geometria', '../fonts/geometria-regular', 400, normal, woff woff2);

//Gotham Pro
@include font-face('Gotham Pro', '../fonts/gotham-pro-light', 300, normal, woff);
@include font-face('Gotham Pro', '../fonts/gotham-pro-medium', 500, normal, woff);
@include font-face('Gotham Pro', '../fonts/gotham-pro-regular', 400, normal, woff);

//Ubuntu
@include font-face('Ubuntu', '../fonts/ubuntu-light', 300, normal, woff woff2);
@include font-face('Ubuntu', '../fonts/ubuntu-medium', 500, normal, woff woff2);
@include font-face('Ubuntu', '../fonts/ubuntu-regular', 400, normal, woff woff2);

//- FONT FACE -//

$font-family-primary: 'Gotham Pro';
$font-family-secondary: 'Geometria';
$font-family-third: 'Ubuntu';

//- FONT SIZES -//

$font-size-primary: 16px;
$font-size-primary-smaller: $font-size-primary - 2px;
$font-size-primary-bigger: $font-size-primary + 2px;

$font-size-small: 13px; //?
$font-size-very-small: 10px; //?

$font-size-h1: 49px;
$font-size-h2: 40px;
$font-size-h3: 25px;
$font-size-h4: 20px;

//- LINE HEIGHT -//

$line-height-primary: 1.4;
$line-height-primary-smaller: $line-height-primary - 0.4;
$line-height-primary-bigger: $line-height-primary + 0.4;

//- FONT WEIGHT -//

$font-weight-light: 300;
$font-weight-regular: 400;
$font-weight-medium: 500;
$font-weight-bold: 700;

//--- 2.COLORS ---//

$color-primary: #ff0707;
$color-primary-light: #ff0000;

$color-black: #000;
$color-black-light: #121629;
$color-black-lighten: #474747;

$color-white: #fff;
$color-white-dark: #f4f6f5;

$color-gray: #bebebe;
$color-gray-dark: #858894;
$color-gray-darken: #706f6f;
$color-gray-light: #eeeeee;
$color-gray-lighten: #eeeeee;

$color-blue: #80b4e2;

$color-error: $color-primary;
$color-success: #68b432;
$color-warning: #C7E10F;

$color-background-body: $color-white;

//--- 3. BUTTONS ---//

$button: (
  min-width: 230px,
  padding: 0 30px,
  height: 55px,
  font-family: $font-family-primary,
  font-size: $font-size-primary-bigger,
  font-weight: $font-weight-medium,
  line-height: $line-height-primary,
  border-width: 1px,
  border-radius: 10px
);

//- Default -//

// background
$btn-default-background-color: transparent;
$btn-default-background-color-hover: $color-black-light;
$btn-default-background-color-active: darken($btn-default-background-color-hover, 10%);
$btn-default-background-color-focus: darken($btn-default-background-color-hover, 5%);

// color
$btn-default-color: $color-black-light;
$btn-default-color-hover: $color-white;
$btn-default-color-active: $btn-default-color-hover;
$btn-default-color-focus: $btn-default-color-hover;

// border
$btn-default-border-color: $color-black-light;
;
$btn-default-border-color-hover: $color-black-light;
$btn-default-border-color-active: darken($btn-default-border-color-hover, 10%);
$btn-default-border-color-focus: darken($btn-default-border-color-hover, 5%);

//- Primary -//

// background
$btn-primary-background-color: transparent;
$btn-primary-background-color-hover: $color-primary;
$btn-primary-background-color-active: darken($btn-primary-background-color-hover, 10%);
$btn-primary-background-color-focus: darken($btn-primary-background-color-hover, 5%);

// color
$btn-primary-color: $color-black-light;
$btn-primary-color-hover: $color-white;
$btn-primary-color-active: $btn-primary-color-hover;
$btn-primary-color-focus: $btn-primary-color-hover;

// border
$btn-primary-border-color: $color-primary;
$btn-primary-border-color-hover: $color-primary;
$btn-primary-border-color-active: darken($btn-primary-border-color-hover, 10%);
$btn-primary-border-color-focus: darken($btn-primary-border-color-active, 5%);

//- SECONDARY -//

// background
$btn-secondary-background-color: $color-primary;
$btn-secondary-background-color-hover: transparent;
$btn-secondary-background-color-active: darken($btn-secondary-background-color, 10%);
$btn-secondary-background-color-focus: darken($btn-secondary-background-color, 5%);

// color
$btn-secondary-color: $color-white;
$btn-secondary-color-hover: $color-primary;
$btn-secondary-color-active: $btn-secondary-color;
$btn-secondary-color-focus: $btn-secondary-color;

// border
$btn-secondary-border-color: $color-primary;
$btn-secondary-border-color-hover: $color-primary;
$btn-secondary-border-color-active: darken($btn-secondary-border-color, 10%);
$btn-secondary-border-color-focus: darken($btn-secondary-border-color, 5%);

//--- 4. FORM ---//

$form-group-gap: 40px;

//- INPUTS -//

$input: (
  width: 100%,
  height: 52px,
  padding: 0 20px 0 20px,
  font-family:$font-family-primary,
  font-size: $font-size-primary,
  font-weight: $font-weight-light,
  color: $color-black,
  border: 0,
  border-radius: 10px,
  placeholder: $color-black-light,
  transition: all .3s ease,
  background: $color-white-dark
);

//- TEXTAREA -//

$textarea: (
  width: 100%,
  height: 150px,
  padding: 22px,
  font-family:$font-family-primary,
  font-size: $font-size-primary,
  font-weight: $font-weight-light,
  color: $color-black,
  border: 0,
  border-radius: 10px,
  placeholder: $color-black-light,
  transition: all .3s ease,
  background: $color-white-dark
);

//- SELECT -//

$select-font-color: $color-black-light;
$select-font-family: $font-family-primary;
$select-font-size: $font-size-primary;
$select-line-height: $line-height-primary;

$select-background-color: $color-white-dark;

$select-height: 52px;
$select-border-radius: 10px;


//--- 5. BREAKPOINTS ---//

$breakpoints: (
  "phone": 481px,
  "tablet-small": 601px,
  "tablet": 768px,
  "laptop": 991px,
  "desktop": 1200px,
  "desktop-max": 1920px,
);

//--- 6. Z INDEX ---// // z-index: z(overlay);

$z-layers: (
  back: -1,
  default: 1,
  button: 3,
  label-error: 2,
  header: 99,
  menu: 555,
  dropdown: 56,
  popup: 665
);
